Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 814071 - Review Request: rubygem-aruba - CLI Steps for Cucumber, hand-crafted for you in Aruba
Summary: Review Request: rubygem-aruba - CLI Steps for Cucumber, hand-crafted for you ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-19 07:31 UTC by Bohuslav "Slavek" Kabrda
Modified: 2014-08-01 16:05 UTC (History)
4 users (show)

Fixed In Version: rubygem-aruba-0.4.11-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-02 04:44:59 UTC
Type: ---
vondruch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2012-04-19 07:31:48 UTC
Spec URL: http://bkabrda.fedorapeople.org/pkgs/aruba/rubygem-aruba.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/aruba/rubygem-aruba-0.4.11-1.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4004597
Aruba is Cucumber extension for Command line applications written in any programming language.

Comment 1 Vít Ondruch 2012-04-19 10:44:36 UTC
I'll take it for a review ride.

Comment 2 Vít Ondruch 2012-04-19 11:18:04 UTC
Seems that the gem dependencies are not fulfilled:

Error: Package: rubygem-aruba-0.4.11-1.fc18.noarch (/rubygem-aruba-0.4.11-1.fc18.noarch)
           Requires: rubygem(ffi) >= 1.0.11
           Installed: rubygem-ffi-1.0.9-4.fc17.i686 (@fedora)
               rubygem(ffi) = 1.0.9

However, I am wondering why there is the FFI dependency at all, since there doesn't seems to be any code which uses it

Comment 3 Vít Ondruch 2012-04-19 11:18:41 UTC
Otherwise, the package looks good, I almost approved it ;)

Comment 4 Bohuslav "Slavek" Kabrda 2012-04-19 11:25:05 UTC
I have asked upstream about the ffi dependency [1]. Basically, they only wanted the ffi version 1.0.10 not to be drawn in by childprocess. So I'll patch the gemspec and specfile properly.

[1] https://github.com/cucumber/aruba/issues/114

Comment 5 Bohuslav "Slavek" Kabrda 2012-04-19 11:55:41 UTC
Ok, so I have removed the ffi dependency, because it's not dependency of childprocess, not aruba itself. I added a "[Build]Conflicts: rubygem(ffi) = 1.0.10" so that the package won't install with this broken version of ffi.

SPEC: http://bkabrda.fedorapeople.org/pkgs/aruba/rubygem-aruba.spec
SRPM: http://bkabrda.fedorapeople.org/pkgs/aruba/rubygem-aruba-0.4.11-2.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4005183

Comment 6 Vít Ondruch 2012-04-19 12:18:31 UTC
Thank you. While I don't like the "conflicts", I have no better solution on the other hand. So I APPROVE the package.

Comment 7 Bohuslav "Slavek" Kabrda 2012-04-19 12:40:09 UTC
Thanks for your review!

New Package SCM Request
=======================
Package Name: rubygem-aruba
Short Description: CLI Steps for Cucumber, hand-crafted for you in Aruba
Owners: bkabrda
Branches: f17
InitialCC:

Comment 8 Gwyn Ciesla 2012-04-19 12:41:13 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-04-19 13:08:19 UTC
rubygem-aruba-0.4.11-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-aruba-0.4.11-2.fc17

Comment 10 Fedora Update System 2012-04-20 02:27:07 UTC
rubygem-aruba-0.4.11-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 11 Fedora Update System 2012-05-02 04:44:59 UTC
rubygem-aruba-0.4.11-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Troy Dawson 2014-08-01 13:40:06 UTC
Package Change Request
======================
Package Name: rubygem-aruba
New Branches: epel7
Owners: tdawson

Comment 13 Gwyn Ciesla 2014-08-01 16:05:45 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.